Full name: projects.locations.instances.subdomains.list
Lists Subdomains for a given instance.
HTTP request
GET https://{endpoint}/v1alpha/{parent}/subdomains
Where {endpoint} is one of the supported service endpoints.
Path parameters
| Parameters | |
|---|---|
parent |
Required. The parent instance whose subdomains are to be listed. Format: |
Query parameters
| Parameters | |
|---|---|
pageSize |
Optional. The maximum number of subdomains to return. The service may return fewer than this value. If unspecified, at most 50 subdomains will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000. |
pageToken |
Optional. A page token, received from a previous When paginating, all other parameters provided to |
Request body
The request body must be empty.
Response body
Response for listing subdomains.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"subdomains": [
{
object ( |
| Fields | |
|---|---|
subdomains[] |
The list of subdomains. |
nextPageToken |
A token, which can be sent as |
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloud-platformhttps://www.googleapis.com/auth/chroniclehttps://www.googleapis.com/auth/chronicle.readonly
For more information, see the Authentication Overview.